## wmaker 0.96.0

=== WINGs/Examples/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# WINGs/Examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = fontl$(EXEEXT) puzzle$(EXEEXT) colorpick$(EXEEXT)
subdir = WINGs/Examples
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_library_constructors.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
colorpick_SOURCES = colorpick.c
colorpick_OBJECTS = colorpick.$(OBJEXT)
colorpick_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
fontl_SOURCES = fontl.c
fontl_OBJECTS = fontl.$(OBJEXT)
fontl_LDADD = $(LDADD)
puzzle_SOURCES = puzzle.c
puzzle_OBJECTS = puzzle.$(OBJEXT)
puzzle_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/colorpick.Po ./$(DEPDIR)/fontl.Po \
	./$(DEPDIR)/puzzle.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = colorpick.c fontl.c puzzle.c
DIST_SOURCES = colorpick.c fontl.c puzzle.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' autoconf
AUTOHEADER = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' autoheader
AUTOMAKE = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=700 -D_GNU_SOURCE
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /usr/bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /usr/bin/grep
GROFF = 
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = 
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@googlegroups.com
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.96.0
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.96.0
PANGO_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
PANGO_LIBS = -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype -lXft
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.96.0
WEB_REPO_ROOT = 
WINGSMOFILES = 
WINGS_VERSION = 5:0:2
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTERMOFILES = 
WRASTER_VERSION = 7:0:1
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = 
XFT_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
XFT_LIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/dtorrance/src/wmaker/wmaker-crm/WINGs/Examples
abs_srcdir = /home/dtorrance/src/wmaker/wmaker-crm/WINGs/Examples
abs_top_builddir = /home/dtorrance/src/wmaker/wmaker-crm
abs_top_srcdir = /home/dtorrance/src/wmaker/wmaker-crm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dtorrance/src/wmaker/wmaker-crm/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
pkgconfdir = ${sysconfdir}/${PACKAGE_TARNAME}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft  -lX11  -lXext

colorpick_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
fontl_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
puzzle_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \

=== wrlib/tests/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# wrlib/tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = testdraw$(EXEEXT) testgrad$(EXEEXT) testrot$(EXEEXT) \
	view$(EXEEXT)
subdir = wrlib/tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_library_constructors.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testdraw_OBJECTS = testdraw.$(OBJEXT)
testdraw_OBJECTS = $(am_testdraw_OBJECTS)
am__DEPENDENCIES_1 = $(top_builddir)/wrlib/libwraster.la
testdraw_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_testgrad_OBJECTS = testgrad.$(OBJEXT)
testgrad_OBJECTS = $(am_testgrad_OBJECTS)
testgrad_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_testrot_OBJECTS = testrot.$(OBJEXT)
testrot_OBJECTS = $(am_testrot_OBJECTS)
testrot_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_view_OBJECTS = view.$(OBJEXT)
view_OBJECTS = $(am_view_OBJECTS)
view_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/testdraw.Po ./$(DEPDIR)/testgrad.Po \
	./$(DEPDIR)/testrot.Po ./$(DEPDIR)/view.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) $(testrot_SOURCES) \
	$(view_SOURCES)
DIST_SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) \
	$(testrot_SOURCES) $(view_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' autoconf
AUTOHEADER = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' autoheader
AUTOMAKE = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=700 -D_GNU_SOURCE
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /usr/bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /usr/bin/grep
GROFF = 
HEADER_SEARCH_PATH = -I${includedir} 
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = 
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} '/home/dtorrance/src/wmaker/wmaker-crm/missing' makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@googlegroups.com
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.96.0
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.96.0
PANGO_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
PANGO_LIBS = -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype -lXft
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.96.0
WEB_REPO_ROOT = 
WINGSMOFILES = 
WINGS_VERSION = 5:0:2
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTERMOFILES = 
WRASTER_VERSION = 7:0:1
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = 
XFT_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
XFT_LIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/dtorrance/src/wmaker/wmaker-crm/wrlib/tests
abs_srcdir = /home/dtorrance/src/wmaker/wmaker-crm/wrlib/tests
abs_top_builddir = /home/dtorrance/src/wmaker/wmaker-crm
abs_top_srcdir = /home/dtorrance/src/wmaker/wmaker-crm
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir} 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/dtorrance/src/wmaker/wmaker-crm/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
pkgconfdir = ${sysconfdir}/${PACKAGE_TARNAME}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS =

=== debian/changelog ===
wmaker (0.96.0-4) unstable; urgency=medium

  [ Doug Torrance ]
  * d/control: Use unversioned libmagickwand-dev in Build-Depends.
    This will simplify backporting and maintenance for any possible future
    ImageMagick version bumps.

  [ Andreas Metzler ]
  * Fix FTBFS with libtool >= 2.5.3 (Closes: #1092416)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Jan 2025 13:42:06 +0100

wmaker (0.96.0-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 11_Revert-WUtil-Be-more-strict-about-base-directory-for.patch from
    upstream GIT master: Fix breakage of saving the history in
    ~/GNUstep/.AppInfo/WindowMaker/History.

  [ Jeremy Sowden ]
  * d/control
    - add myself to uploaders
    - bump Standards-Version to 4.7.0
    - bump ImageMagick build-dep from v6 to v7 (Closes: #1086941)
  * d/gbp.conf
    - default: set `pristine-tar` to `true`
  * d/p/10_libwraster6.diff
    - set `Forwarded: not-needed`

 -- Jeremy Sowden <azazel@debian.org>  Fri, 08 Nov 2024 22:37:51 +0000

wmaker (0.96.0-2) unstable; urgency=medium

  * debian/libwraster6.symbols
    - Drop symbol versions back to LIBWRASTER6.
  * debian/patches/10_libwraster6.diff
    - New patch; fix libwraster symbol version (Closes: #1043417).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 13 Aug 2023 08:48:41 -0400

wmaker (0.96.0-1) unstable; urgency=medium

  * New upstream release.

  [ Andreas Metzler ]
  * Migrate lintian overrides with
    GIT/lintian/bin/lintian-migrate-overrides-to-pointed-hints.
  * Bump Standards-Version.
  * Add lintian override for hand written html test file. (source-is-missing)

  [ Doug Torrance ]
  * debian/control
    - Switch libfontconfig1-dev -> libfontconfig-dev in Build-Depends.
    - Switch libtiff5-dev -> libtiff-dev in libwings-dev Depends.
    - Switch libfontconfig1-dev -> libfontconfig-dev in libwraster-dev
      Depends.
  * debian/debianfiles/wmaker-common.desktop
    - Remove file; now exists upstream.
  * debian/lib*.symbols
    - Bump libwraster symbols from LIBWRASTER6 -> LIBWRASTER7.
    - Add new library symbols.
  * debian/patches
    - Remove patches applied upstream.
      + 10_support_imagemagick6.diff
      + 20_national_encoding.diff
      + 21_wrong_manual_section.diff
    - Refresh remaining patches for new upstream release.
  * debian/rules
    - Replace --with-defsdatadir configure option with --with-pkgconfdir.
  * debian/wmaker-common.install
    - Install .desktop files.
  * debian/wmaker-common.lintian-overrides
    - Add desktop-command-not-in-package override.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 10 Aug 2023 08:00:40 -0400

=== debian/control ===
Source: wmaker
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
           Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <azazel@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               gettext,
               libfontconfig-dev,
               libgif-dev,
               libjpeg-dev,
               libmagickwand-dev,
               libpango1.0-dev,
               libpng-dev,
               libsm-dev,
               libtiff-dev,
               libtool,
               libx11-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxmu-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               sharutils
Homepage: https://www.windowmaker.org/
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmaker
Vcs-Git: https://salsa.debian.org/wmaker-team/wmaker.git

Package: wmaker
Architecture: any
Multi-Arch: foreign
Depends: wmaker-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: desktop-base,
          wmaker-data,
          wmaker-utils,
          x-terminal-emulator,
          x11-apps,
          xterm
Breaks: wmaker-common (<< 0.95.8-2~)
Replaces: wmaker-common (<< 0.95.8-2~)
Description: NeXTSTEP-like window manager for X
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.

Package: wmaker-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: wmaker
Description: Window Maker - Architecture independent files
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains the architecture independent files.

Package: wmaker-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Window Maker - Utilities
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains wxcopy and wxpaste, two utilities ordinarily shipped with
 Window Maker but not depending on it or any of its libraries.  These
 utilities allow users to interact with cut buffers on the command line.

Package: libwraster-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libgif-dev,
         libjpeg-dev,
         libpng-dev,
         libtiff-dev,
         libwraster6 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxpm-dev,
         ${misc:Depends}
Breaks: libwraster3-dev
Replaces: libwraster3-dev
Description: Static libraries and headers of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available
 .
 Contains libwraster and header files, for manipulating and
 rasterizing images.

Package: libwraster6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available

Package: libwings-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libfontconfig-dev,
         libwings3 (= ${binary:Version}),
         libwraster-dev,
         libwutil5 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxft-dev,
         ${misc:Depends}
Description: Window Maker's own widget set
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.

Package: libwutil5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - utility library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWUtils runtime library.

Package: libwings3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - runtime library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWINGs runtime library.

Package: libwmaker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwmaker1 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Description: Static libraries and headers for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains libWMaker and header files, for building
 Window Maker aware applications.

Package: libwmaker1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runtime library for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains the libWMaker runtime library for Window Maker
 aware applications.

=== debian/watch ===
version=4
https://www.windowmaker.org/ (?:|.*/)WindowMaker@ANY_VERSION@@ARCHIVE_EXT@
